## org.jfree.chart
Class StandardChartTheme

    java.lang.Object
      org.jfree.chart.StandardChartTheme

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, ChartTheme, org.jfree.util.PublicCloneable

    public class StandardChartTheme

extends java.lang.Object
implements ChartTheme, java.lang.Cloneable, org.jfree.util.PublicCloneable, java.io.Serializable

A default implementation of the `ChartTheme` interface. This implementation just collects a whole bunch of chart attributes and mimics the manual process of applying each attribute to the right sub-object within the JFreeChart instance. It's not elegant code, but it works.

Since:
  1.0.11
See Also:
  Serialized Form

Constructor Summary
`StandardChartTheme(java.lang.String name)` Creates a new default instance.
`StandardChartTheme(java.lang.String name, boolean shadow)` Creates a new default instance.

Method Summary
`void` `apply(JFreeChart chart)` Applies this theme to the supplied chart.
`protected void` `applyToAbstractRenderer(AbstractRenderer renderer)` Applies the attributes for this theme to an `AbstractRenderer`.
`protected void` `applyToBlock(Block b)` Applies the attributes of this theme to the specified block.
`protected void` `applyToBlockContainer(BlockContainer bc)` Applies the attributes of this theme to the specified container.
`protected void` `applyToCategoryAxis(CategoryAxis axis)` Applies the attributes for this theme to a `CategoryAxis`.
`protected void` `applyToCategoryItemRenderer(CategoryItemRenderer renderer)` Applies the settings of this theme to the specified renderer.
`protected void` `applyToCategoryPlot(CategoryPlot plot)` Applies the attributes of this theme to a `CategoryPlot`.
`protected void` `applyToFastScatterPlot(FastScatterPlot plot)` Applies the attributes of this theme to a `FastScatterPlot`.
`protected void` `applyToMeterPlot(MeterPlot plot)` Applies the attributes of this theme to a `MeterPlot`.
`protected void` `applyToMultiplePiePlot(MultiplePiePlot plot)` Applies the attributes of this theme to a `MultiplePiePlot`.
`protected void` `applyToPeriodAxis(PeriodAxis axis)` Applies the attributes for this theme to a `PeriodAxis`.
`protected void` `applyToPiePlot(PiePlot plot)` Applies the attributes of this theme to a `PiePlot` instance.
`protected void` `applyToPlot(Plot plot)` Applies the attributes of this theme to a plot.
`protected void` `applyToPolarPlot(PolarPlot plot)` Applies the attributes of this theme to a `PolarPlot`.
`protected void` `applyToSpiderWebPlot(SpiderWebPlot plot)` Applies the attributes of this theme to a `SpiderWebPlot`.
`protected void` `applyToSymbolAxis(SymbolAxis axis)` Applies the attributes for this theme to a `SymbolAxis`.
`protected void` `applyToThermometerPlot(ThermometerPlot plot)` Applies the attributes for this theme to a `ThermometerPlot`.
`protected void` `applyToTitle(Title title)` Applies the attributes of this theme to the specified title.
`protected void` `applyToValueAxis(ValueAxis axis)` Applies the attributes for this theme to a `ValueAxis`.
`protected void` `applyToXYAnnotation(XYAnnotation annotation)` Applies the settings of this theme to the specified annotation.
`protected void` `applyToXYItemRenderer(XYItemRenderer renderer)` Applies the settings of this theme to the specified renderer.
`protected void` `applyToXYPlot(XYPlot plot)` Applies the attributes of this theme to a `XYPlot`.
`java.lang.Object` `clone()` Returns a clone of this theme.
`static ChartTheme` `createDarknessTheme()` Creates and returns a theme called "Darkness".
`static ChartTheme` `createJFreeTheme()` Creates and returns the default 'JFree' chart theme.
`static ChartTheme` `createLegacyTheme()` Creates and returns a `ChartTheme` that doesn't apply any changes to the JFreeChart defaults.
`boolean` `equals(java.lang.Object obj)` Tests this theme for equality with an arbitrary object.
`java.awt.Paint` `getAxisLabelPaint()` Returns the axis label paint.
`org.jfree.ui.RectangleInsets` `getAxisOffset()` Returns the axis offsets.
`BarPainter` `getBarPainter()` Returns the bar painter.
`java.awt.Paint` `getBaselinePaint()` Returns the baseline paint.
`java.awt.Paint` `getChartBackgroundPaint()` Returns the chart background paint.
`java.awt.Paint` `getCrosshairPaint()` Returns the crosshair paint.
`java.awt.Paint` `getDomainGridlinePaint()` Returns the domain grid line paint.
`DrawingSupplier` `getDrawingSupplier()` Returns a clone of the drawing supplier for this theme.
`java.awt.Paint` `getErrorIndicatorPaint()` Returns the error indicator paint.
`java.awt.Font` `getExtraLargeFont()` Returns the largest font for this theme.
`java.awt.Paint` `getGridBandAlternatePaint()` Returns the grid band alternate paint (used for a `SymbolAxis`).
`java.awt.Paint` `getGridBandPaint()` Returns the grid band paint.
`java.awt.Paint` `getItemLabelPaint()` Returns the item label paint.
`java.awt.Paint` `getLabelLinkPaint()` Returns the label link paint for pie charts.
`PieLabelLinkStyle` `getLabelLinkStyle()` Returns the label link style for pie charts.
`java.awt.Font` `getLargeFont()` Returns the large font for this theme.
`java.awt.Paint` `getLegendBackgroundPaint()` Returns the legend background paint.
`java.awt.Paint` `getLegendItemPaint()` Returns the legend item paint.
`java.lang.String` `getName()` Returns the name of this theme.
`java.awt.Paint` `getPlotBackgroundPaint()` Returns the plot background paint.
`java.awt.Paint` `getPlotOutlinePaint()` Returns the plot outline paint.
`java.awt.Paint` `getRangeGridlinePaint()` Returns the range grid line paint.
`java.awt.Font` `getRegularFont()` Returns the regular font.
`java.awt.Paint` `getShadowPaint()` Returns the shadow paint.
`java.awt.Font` `getSmallFont()` Returns the small font.
`java.awt.Paint` `getSubtitlePaint()` Returns the subtitle paint.
`java.awt.Paint` `getThermometerPaint()` Returns the thermometer paint.
`java.awt.Paint` `getTickLabelPaint()` Returns the tick label paint.
`java.awt.Paint` `getTitlePaint()` Returns the title paint.
`java.awt.Paint` `getWallPaint()` Returns the wall paint for charts with a 3D effect.
`XYBarPainter` `getXYBarPainter()` Returns the XY bar painter.
`boolean` `isShadowVisible()` Returns the shadow visibility flag.
`void` `setAxisLabelPaint(java.awt.Paint paint)` Sets the axis label paint.
`void` `setAxisOffset(org.jfree.ui.RectangleInsets offset)` Sets the axis offset.
`void` `setBarPainter(BarPainter painter)` Sets the bar painter.
`void` `setBaselinePaint(java.awt.Paint paint)` Sets the baseline paint.
`void` `setChartBackgroundPaint(java.awt.Paint paint)` Sets the chart background paint.
`void` `setCrosshairPaint(java.awt.Paint paint)` Sets the crosshair paint.
`void` `setDomainGridlinePaint(java.awt.Paint paint)` Sets the domain grid line paint.
`void` `setDrawingSupplier(DrawingSupplier supplier)` Sets the drawing supplier for this theme.
`void` `setErrorIndicatorPaint(java.awt.Paint paint)` Sets the error indicator paint.
`void` `setExtraLargeFont(java.awt.Font font)` Sets the largest font for this theme.
`void` `setGridBandAlternatePaint(java.awt.Paint paint)` Sets the grid band alternate paint (used for a `SymbolAxis`).
`void` `setGridBandPaint(java.awt.Paint paint)` Sets the grid band paint.
`void` `setItemLabelPaint(java.awt.Paint paint)` Sets the item label paint.
`void` `setLabelLinkPaint(java.awt.Paint paint)` Sets the label link paint for pie charts.
`void` `setLabelLinkStyle(PieLabelLinkStyle style)` Sets the label link style for pie charts.
`void` `setLargeFont(java.awt.Font font)` Sets the large font for this theme.
`void` `setLegendBackgroundPaint(java.awt.Paint paint)` Sets the legend background paint.
`void` `setLegendItemPaint(java.awt.Paint paint)` Sets the legend item paint.
`void` `setPlotBackgroundPaint(java.awt.Paint paint)` Sets the plot background paint.
`void` `setPlotOutlinePaint(java.awt.Paint paint)` Sets the plot outline paint.
`void` `setRangeGridlinePaint(java.awt.Paint paint)` Sets the range grid line paint.
`void` `setRegularFont(java.awt.Font font)` Sets the regular font for this theme.
`void` `setShadowPaint(java.awt.Paint paint)` Sets the shadow paint.
`void` `setShadowVisible(boolean visible)` Sets the shadow visibility flag.
`void` `setSmallFont(java.awt.Font font)` Sets the small font for this theme.
`void` `setSubtitlePaint(java.awt.Paint paint)` Sets the subtitle paint.
`void` `setThermometerPaint(java.awt.Paint paint)` Sets the thermometer paint.
`void` `setTickLabelPaint(java.awt.Paint paint)` Sets the tick label paint.
`void` `setTitlePaint(java.awt.Paint paint)` Sets the title paint.
`void` `setWallPaint(java.awt.Paint paint)` Sets the wall paint for charts with a 3D effect.
`void` `setXYBarPainter(XYBarPainter painter)` Sets the XY bar painter.

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StandardChartTheme

    public StandardChartTheme(java.lang.String name)

  Creates a new default instance.

  Parameters:
    `name` - the name of the theme (`null` not permitted).

### StandardChartTheme

    public StandardChartTheme(java.lang.String name,
                              boolean shadow)

  Creates a new default instance.

  Parameters:
    `name` - the name of the theme (`null` not permitted).
    `shadow` - a flag that controls whether a shadow generator is included.
  Since:
    1.0.14

Method Detail

### createJFreeTheme

    public static ChartTheme createJFreeTheme()

  Creates and returns the default 'JFree' chart theme.

  Returns:
    A chart theme.

### createDarknessTheme

    public static ChartTheme createDarknessTheme()

  Creates and returns a theme called "Darkness". In this theme, the charts have a black background.

  Returns:
    The "Darkness" theme.

### createLegacyTheme

    public static ChartTheme createLegacyTheme()

  Creates and returns a `ChartTheme` that doesn't apply any changes to the JFreeChart defaults. This produces the "legacy" look for JFreeChart.

  Returns:
    A legacy theme.

### getExtraLargeFont

    public java.awt.Font getExtraLargeFont()

  Returns the largest font for this theme.

  Returns:
    The largest font for this theme.
  See Also:
    `setExtraLargeFont(Font)`

### setExtraLargeFont

    public void setExtraLargeFont(java.awt.Font font)

  Sets the largest font for this theme.

  Parameters:
    `font` - the font (`null` not permitted).
  See Also:
    `getExtraLargeFont()`

### getLargeFont

    public java.awt.Font getLargeFont()

  Returns the large font for this theme.

  Returns:
    The large font (never `null`).
  See Also:
    `setLargeFont(Font)`

### setLargeFont

    public void setLargeFont(java.awt.Font font)

  Sets the large font for this theme.

  Parameters:
    `font` - the font (`null` not permitted).
  See Also:
    `getLargeFont()`

### getRegularFont

    public java.awt.Font getRegularFont()

  Returns the regular font.

  Returns:
    The regular font (never `null`).
  See Also:
    `setRegularFont(Font)`

### setRegularFont

    public void setRegularFont(java.awt.Font font)

  Sets the regular font for this theme.

  Parameters:
    `font` - the font (`null` not permitted).
  See Also:
    `getRegularFont()`

### getSmallFont

    public java.awt.Font getSmallFont()

  Returns the small font.

  Returns:
    The small font (never `null`).
  Since:
    1.0.13
  See Also:
    `setSmallFont(Font)`

### setSmallFont

    public void setSmallFont(java.awt.Font font)

  Sets the small font for this theme.

  Parameters:
    `font` - the font (`null` not permitted).
  Since:
    1.0.13
  See Also:
    `getSmallFont()`

### getTitlePaint

    public java.awt.Paint getTitlePaint()

  Returns the title paint.

  Returns:
    The title paint (never `null`).
  See Also:
    `setTitlePaint(Paint)`

### setTitlePaint

    public void setTitlePaint(java.awt.Paint paint)

  Sets the title paint.

  Parameters:
    `paint` - the paint (`null` not permitted).
  See Also:
    `getTitlePaint()`

### getSubtitlePaint

    public java.awt.Paint getSubtitlePaint()

  Returns the subtitle paint.

  Returns:
    The subtitle paint (never `null`).
  See Also:
    `setSubtitlePaint(Paint)`

### setSubtitlePaint

    public void setSubtitlePaint(java.awt.Paint paint)

  Sets the subtitle paint.

  Parameters:
    `paint` - the paint (`null` not permitted).
  See Also:
    `getSubtitlePaint()`

### getChartBackgroundPaint

    public java.awt.Paint getChartBackgroundPaint()

  Returns the chart background paint.

  Returns:
    The chart background paint (never `null`).
  See Also:
    `setChartBackgroundPaint(Paint)`

### setChartBackgroundPaint

    public void setChartBackgroundPaint(java.awt.Paint paint)

  Sets the chart background paint.

  Parameters:
    `paint` - the paint (`null` not permitted).
  See Also:
    `getChartBackgroundPaint()`

### getLegendBackgroundPaint

    public java.awt.Paint getLegendBackgroundPaint()

  Returns the legend background paint.

  Returns:
    The legend background paint (never `null`).
  See Also:
    `setLegendBackgroundPaint(Paint)`

### setLegendBackgroundPaint

    public void setLegendBackgroundPaint(java.awt.Paint paint)

  Sets the legend background paint.

  Parameters:
    `paint` - the paint (`null` not permitted).
  See Also:
    `getLegendBackgroundPaint()`

### getLegendItemPaint

    public java.awt.Paint getLegendItemPaint()

  Returns the legend item paint.

  Returns:
    The legend item paint (never `null`).
  See Also:
    `setLegendItemPaint(Paint)`

### setLegendItemPaint

    public void setLegendItemPaint(java.awt.Paint paint)

  Sets the legend item paint.

  Parameters:
    `paint` - the paint (`null` not permitted).
  See Also:
    `getLegendItemPaint()`

### getPlotBackgroundPaint

    public java.awt.Paint getPlotBackgroundPaint()

  Returns the plot background paint.

  Returns:
    The plot background paint (never `null`).
  See Also:
    `setPlotBackgroundPaint(Paint)`

### setPlotBackgroundPaint

    public void setPlotBackgroundPaint(java.awt.Paint paint)

  Sets the plot background paint.

  Parameters:
    `paint` - the paint (`null` not permitted).
  See Also:
    `getPlotBackgroundPaint()`

### getPlotOutlinePaint

    public java.awt.Paint getPlotOutlinePaint()

  Returns the plot outline paint.

  Returns:
    The plot outline paint (never `null`).
  See Also:
    `setPlotOutlinePaint(Paint)`

### setPlotOutlinePaint

    public void setPlotOutlinePaint(java.awt.Paint paint)

  Sets the plot outline paint.

  Parameters:
    `paint` - the paint (`null` not permitted).
  See Also:
    `getPlotOutlinePaint()`

### getLabelLinkStyle

    public PieLabelLinkStyle getLabelLinkStyle()

  Returns the label link style for pie charts.

  Returns:
    The label link style (never `null`).
  See Also:
    `setLabelLinkStyle(PieLabelLinkStyle)`

### setLabelLinkStyle

    public void setLabelLinkStyle(PieLabelLinkStyle style)

  Sets the label link style for pie charts.

  Parameters:
    `style` - the style (`null` not permitted).
  See Also:
    `getLabelLinkStyle()`

### getLabelLinkPaint

    public java.awt.Paint getLabelLinkPaint()

  Returns the label link paint for pie charts.

  Returns:
    The label link paint (never `null`).
  See Also:
    `setLabelLinkPaint(Paint)`

### setLabelLinkPaint

    public void setLabelLinkPaint(java.awt.Paint paint)

  Sets the label link paint for pie charts.

  Parameters:
    `paint` - the paint (`null` not permitted).
  See Also:
    `getLabelLinkPaint()`

### getDomainGridlinePaint

    public java.awt.Paint getDomainGridlinePaint()

  Returns the domain grid line paint.

  Returns:
    The domain grid line paint (never `null`).
  See Also:
    `setDomainGridlinePaint(Paint)`

### setDomainGridlinePaint

    public void setDomainGridlinePaint(java.awt.Paint paint)

  Sets the domain grid line paint.

  Parameters:
    `paint` - the paint (`null` not permitted).
  See Also:
    `getDomainGridlinePaint()`

### getRangeGridlinePaint

    public java.awt.Paint getRangeGridlinePaint()

  Returns the range grid line paint.

  Returns:
    The range grid line paint (never `null`).
  See Also:
    `setRangeGridlinePaint(Paint)`

### setRangeGridlinePaint

    public void setRangeGridlinePaint(java.awt.Paint paint)

  Sets the range grid line paint.

  Parameters:
    `paint` - the paint (`null` not permitted).
  See Also:
    `getRangeGridlinePaint()`

### getBaselinePaint

    public java.awt.Paint getBaselinePaint()

  Returns the baseline paint.

  Returns:
    The baseline paint.
  Since:
    1.0.13

### setBaselinePaint

    public void setBaselinePaint(java.awt.Paint paint)

  Sets the baseline paint.

  Parameters:
    `paint` - the paint (`null` not permitted).
  Since:
    1.0.13

### getCrosshairPaint

    public java.awt.Paint getCrosshairPaint()

  Returns the crosshair paint.

  Returns:
    The crosshair paint.

### setCrosshairPaint

    public void setCrosshairPaint(java.awt.Paint paint)

  Sets the crosshair paint.

  Parameters:
    `paint` - the paint (`null` not permitted).

### getAxisOffset

    public org.jfree.ui.RectangleInsets getAxisOffset()

  Returns the axis offsets.

  Returns:
    The axis offsets (never `null`).
  See Also:
    `setAxisOffset(RectangleInsets)`

### setAxisOffset

    public void setAxisOffset(org.jfree.ui.RectangleInsets offset)

  Sets the axis offset.

  Parameters:
    `offset` - the offset (`null` not permitted).
  See Also:
    `getAxisOffset()`

### getAxisLabelPaint

    public java.awt.Paint getAxisLabelPaint()

  Returns the axis label paint.

  Returns:
    The axis label paint (never `null`).
  See Also:
    `setAxisLabelPaint(Paint)`

### setAxisLabelPaint

    public void setAxisLabelPaint(java.awt.Paint paint)

  Sets the axis label paint.

  Parameters:
    `paint` - the paint (`null` not permitted).
  See Also:
    `getAxisLabelPaint()`

### getTickLabelPaint

    public java.awt.Paint getTickLabelPaint()

  Returns the tick label paint.

  Returns:
    The tick label paint (never `null`).
  See Also:
    `setTickLabelPaint(Paint)`

### setTickLabelPaint

    public void setTickLabelPaint(java.awt.Paint paint)

  Sets the tick label paint.

  Parameters:
    `paint` - the paint (`null` not permitted).
  See Also:
    `getTickLabelPaint()`

### getItemLabelPaint

    public java.awt.Paint getItemLabelPaint()

  Returns the item label paint.

  Returns:
    The item label paint (never `null`).
  See Also:
    `setItemLabelPaint(Paint)`

### setItemLabelPaint

    public void setItemLabelPaint(java.awt.Paint paint)

  Sets the item label paint.

  Parameters:
    `paint` - the paint (`null` not permitted).
  See Also:
    `getItemLabelPaint()`

### isShadowVisible

    public boolean isShadowVisible()

  Returns the shadow visibility flag.

  Returns:
    The shadow visibility flag.
  See Also:
    `setShadowVisible(boolean)`

### setShadowVisible

    public void setShadowVisible(boolean visible)

  Sets the shadow visibility flag.

  Parameters:
    `visible` - the flag.
  See Also:
    `isShadowVisible()`

### getShadowPaint

    public java.awt.Paint getShadowPaint()

  Returns the shadow paint.

  Returns:
    The shadow paint (never `null`).
  See Also:
    `setShadowPaint(Paint)`

### setShadowPaint

    public void setShadowPaint(java.awt.Paint paint)

  Sets the shadow paint.

  Parameters:
    `paint` - the paint (`null` not permitted).
  See Also:
    `getShadowPaint()`

### getBarPainter

    public BarPainter getBarPainter()

  Returns the bar painter.

  Returns:
    The bar painter (never `null`).
  See Also:
    `setBarPainter(BarPainter)`

### setBarPainter

    public void setBarPainter(BarPainter painter)

  Sets the bar painter.

  Parameters:
    `painter` - the painter (`null` not permitted).
  See Also:
    `getBarPainter()`

### getXYBarPainter

    public XYBarPainter getXYBarPainter()

  Returns the XY bar painter.

  Returns:
    The XY bar painter (never `null`).
  See Also:
    `setXYBarPainter(XYBarPainter)`

### setXYBarPainter

    public void setXYBarPainter(XYBarPainter painter)

  Sets the XY bar painter.

  Parameters:
    `painter` - the painter (`null` not permitted).
  See Also:
    `getXYBarPainter()`

### getThermometerPaint

    public java.awt.Paint getThermometerPaint()

  Returns the thermometer paint.

  Returns:
    The thermometer paint (never `null`).
  See Also:
    `setThermometerPaint(Paint)`

### setThermometerPaint

    public void setThermometerPaint(java.awt.Paint paint)

  Sets the thermometer paint.

  Parameters:
    `paint` - the paint (`null` not permitted).
  See Also:
    `getThermometerPaint()`

### getWallPaint

    public java.awt.Paint getWallPaint()

  Returns the wall paint for charts with a 3D effect.

  Returns:
    The wall paint (never `null`).
  See Also:
    `setWallPaint(Paint)`

### setWallPaint

    public void setWallPaint(java.awt.Paint paint)

  Sets the wall paint for charts with a 3D effect.

  Parameters:
    `paint` - the paint (`null` not permitted).
  See Also:
    `getWallPaint()`

### getErrorIndicatorPaint

    public java.awt.Paint getErrorIndicatorPaint()

  Returns the error indicator paint.

  Returns:
    The error indicator paint (never `null`).
  See Also:
    `setErrorIndicatorPaint(Paint)`

### setErrorIndicatorPaint

    public void setErrorIndicatorPaint(java.awt.Paint paint)

  Sets the error indicator paint.

  Parameters:
    `paint` - the paint (`null` not permitted).
  See Also:
    `getErrorIndicatorPaint()`

### getGridBandPaint

    public java.awt.Paint getGridBandPaint()

  Returns the grid band paint.

  Returns:
    The grid band paint (never `null`).
  See Also:
    `setGridBandPaint(Paint)`

### setGridBandPaint

    public void setGridBandPaint(java.awt.Paint paint)

  Sets the grid band paint.

  Parameters:
    `paint` - the paint (`null` not permitted).
  See Also:
    `getGridBandPaint()`

### getGridBandAlternatePaint

    public java.awt.Paint getGridBandAlternatePaint()

  Returns the grid band alternate paint (used for a `SymbolAxis`).

  Returns:
    The paint (never `null`).
  See Also:
    `setGridBandAlternatePaint(Paint)`

### setGridBandAlternatePaint

    public void setGridBandAlternatePaint(java.awt.Paint paint)

  Sets the grid band alternate paint (used for a `SymbolAxis`).

  Parameters:
    `paint` - the paint (`null` not permitted).
  See Also:
    `getGridBandAlternatePaint()`

### getName

    public java.lang.String getName()

  Returns the name of this theme.

  Returns:
    The name of this theme.

### getDrawingSupplier

    public DrawingSupplier getDrawingSupplier()

  Returns a clone of the drawing supplier for this theme.

  Returns:
    A clone of the drawing supplier.

### setDrawingSupplier

    public void setDrawingSupplier(DrawingSupplier supplier)

  Sets the drawing supplier for this theme.

  Parameters:
    `supplier` - the supplier (`null` not permitted).
  See Also:
    `getDrawingSupplier()`

### apply

    public void apply(JFreeChart chart)

  Applies this theme to the supplied chart.

  Specified by:
    `apply` in interface `ChartTheme`
  Parameters:
    `chart` - the chart (`null` not permitted).

### applyToTitle

    protected void applyToTitle(Title title)

  Applies the attributes of this theme to the specified title.

  Parameters:
    `title` - the title.

### applyToBlockContainer

    protected void applyToBlockContainer(BlockContainer bc)

  Applies the attributes of this theme to the specified container.

  Parameters:
    `bc` - a block container (`null` not permitted).

### applyToBlock

    protected void applyToBlock(Block b)

  Applies the attributes of this theme to the specified block.

  Parameters:
    `b` - the block.

### applyToPlot

    protected void applyToPlot(Plot plot)

  Applies the attributes of this theme to a plot.

  Parameters:
    `plot` - the plot (`null`).

### applyToPiePlot

    protected void applyToPiePlot(PiePlot plot)

  Applies the attributes of this theme to a `PiePlot` instance. This method also clears any set values for the section paint, outline etc, so that the theme's `DrawingSupplier` will be used.

  Parameters:
    `plot` - the plot (`null` not permitted).

### applyToMultiplePiePlot

    protected void applyToMultiplePiePlot(MultiplePiePlot plot)

  Applies the attributes of this theme to a `MultiplePiePlot`.

  Parameters:
    `plot` - the plot (`null` not permitted).

### applyToCategoryPlot

    protected void applyToCategoryPlot(CategoryPlot plot)

  Applies the attributes of this theme to a `CategoryPlot`.

  Parameters:
    `plot` - the plot (`null` not permitted).

### applyToXYPlot

    protected void applyToXYPlot(XYPlot plot)

  Applies the attributes of this theme to a `XYPlot`.

  Parameters:
    `plot` - the plot (`null` not permitted).

### applyToFastScatterPlot

    protected void applyToFastScatterPlot(FastScatterPlot plot)

  Applies the attributes of this theme to a `FastScatterPlot`.

  Parameters:
    `plot` -

### applyToPolarPlot

    protected void applyToPolarPlot(PolarPlot plot)

  Applies the attributes of this theme to a `PolarPlot`. This method is called from the `applyToPlot(Plot)` method.

  Parameters:
    `plot` - the plot (`null` not permitted).

### applyToSpiderWebPlot

    protected void applyToSpiderWebPlot(SpiderWebPlot plot)

  Applies the attributes of this theme to a `SpiderWebPlot`.

  Parameters:
    `plot` - the plot (`null` not permitted).

### applyToMeterPlot

    protected void applyToMeterPlot(MeterPlot plot)

  Applies the attributes of this theme to a `MeterPlot`.

  Parameters:
    `plot` - the plot (`null` not permitted).

### applyToThermometerPlot

    protected void applyToThermometerPlot(ThermometerPlot plot)

  Applies the attributes for this theme to a `ThermometerPlot`. This method is called from the `applyToPlot(Plot)` method.

  Parameters:
    `plot` - the plot.

### applyToCategoryAxis

    protected void applyToCategoryAxis(CategoryAxis axis)

  Applies the attributes for this theme to a `CategoryAxis`.

  Parameters:
    `axis` - the axis (`null` not permitted).

### applyToValueAxis

    protected void applyToValueAxis(ValueAxis axis)

  Applies the attributes for this theme to a `ValueAxis`.

  Parameters:
    `axis` - the axis (`null` not permitted).

### applyToSymbolAxis

    protected void applyToSymbolAxis(SymbolAxis axis)

  Applies the attributes for this theme to a `SymbolAxis`.

  Parameters:
    `axis` - the axis (`null` not permitted).

### applyToPeriodAxis

    protected void applyToPeriodAxis(PeriodAxis axis)

  Applies the attributes for this theme to a `PeriodAxis`.

  Parameters:
    `axis` - the axis (`null` not permitted).

### applyToAbstractRenderer

    protected void applyToAbstractRenderer(AbstractRenderer renderer)

  Applies the attributes for this theme to an `AbstractRenderer`.

  Parameters:
    `renderer` - the renderer (`null` not permitted).

### applyToCategoryItemRenderer

    protected void applyToCategoryItemRenderer(CategoryItemRenderer renderer)

  Applies the settings of this theme to the specified renderer.

  Parameters:
    `renderer` - the renderer (`null` not permitted).

### applyToXYItemRenderer

    protected void applyToXYItemRenderer(XYItemRenderer renderer)

  Applies the settings of this theme to the specified renderer.

  Parameters:
    `renderer` - the renderer (`null` not permitted).

### applyToXYAnnotation

    protected void applyToXYAnnotation(XYAnnotation annotation)

  Applies the settings of this theme to the specified annotation.

  Parameters:
    `annotation` - the annotation.

### equals

    public boolean equals(java.lang.Object obj)

  Tests this theme for equality with an arbitrary object.

  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `obj` - the object (`null` permitted).
  Returns:
    A boolean.

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Returns a clone of this theme.

  Specified by:
    `clone` in interface `org.jfree.util.PublicCloneable`
  Overrides:
    `clone` in class `java.lang.Object`
  Returns:
    A clone.
  Throws:
    `java.lang.CloneNotSupportedException` - if the theme cannot be cloned.